integrations.sh
← all integrations

Vercel API

OpenAPI apis-guru hosting

Vercel combines the best developer experience with an obsessive focus on end-user performance. Our platform enables frontend teams to do their best work.

Homepage
https://api.apis.guru/v2/specs/vercel.com/0.0.1.json
Provider
vercel.com
OpenAPI version
3.1.0
Spec (JSON)
https://api.apis.guru/v2/specs/vercel.com/0.0.1/openapi.json
Spec (YAML)
https://api.apis.guru/v2/specs/vercel.com/0.0.1/openapi.yaml

Tools (115)

Extracted live via the executor SDK.

  • aliases.assignAlias

    Creates a new alias for the deployment with the given deployment ID. The authenticated user must own this deployment. If the desired alias is already assigned to another deployment, then it will be removed from the old deployment and assigned to the new one.

  • aliases.deleteAlias

    Delete an Alias with the specified ID.

  • aliases.getAlias

    Retrieves an Alias for the given host name or alias ID.

  • aliases.listAliases

    Retrieves a list of aliases for the authenticated User or Team. When domain is provided, only aliases for that domain will be returned. When projectId is provided, it will only return the given project aliases.

  • aliases.listDeploymentAliases

    Retrieves all Aliases for the Deployment with the given ID. The authenticated User must own the deployment.

  • artifacts.artifactExists

    Check that a cache artifact with the given hash exists. This request returns response headers only and is equivalent to a GET request to this endpoint where the response contains no body.

  • artifacts.artifactQuery

    Query information about an array of artifacts.

  • artifacts.downloadArtifact

    Downloads a cache artifact indentified by its hash specified on the request path. The artifact is downloaded as an octet-stream. The client should verify the content-length header and response body.

  • artifacts.recordEvents

    Records an artifacts cache usage event. The body of this request is an array of cache usage events. The supported event types are HIT and MISS. The source is either LOCAL the cache event was on the users filesystem cache or REMOTE if the cache event is for a remote cache. When the event is a HIT the request also accepts a number duration which is the time taken to generate the artifact in the cache.

  • artifacts.status

    Check the status of Remote Caching for this principal. Returns a JSON-encoded status indicating if Remote Caching is enabled, disabled, or disabled due to usage limits.

  • artifacts.uploadArtifact

    Uploads a cache artifact identified by the hash specified on the path. The cache artifact can then be downloaded with the provided hash.

  • authentication.createAuthToken

    Creates and returns a new authentication token for the currently authenticated User. The bearerToken property is only provided once, in the response body, so be sure to save it on the client for use with API requests.

  • authentication.deleteAuthToken

    Invalidate an authentication token, such that it will no longer be valid for future HTTP requests.

  • authentication.emailLogin

    Request a new login for a user to get a token. This will respond with a verification token and send an email to confirm the request. Once confirmed you can use the verification token to get an authentication token.

  • authentication.getAuthToken

    Retrieve metadata about an authentication token belonging to the currently authenticated User.

  • authentication.listAuthTokens

    Retrieve a list of the current User's authentication tokens.

  • authentication.verifyToken

    Verify the user accepted the login request and get a authentication token. The user email address and the token received after requesting the login must be added to the URL as a query string with the names email and token.

  • certs.getCertById

    Get cert by id

  • certs.issueCert

    Issue a new cert

  • certs.removeCert

    Remove cert

  • certs.uploadCert

    Upload a cert

  • checks.createCheck

    Creates a new check. This endpoint must be called with an OAuth2 or it will produce a 400 error.

  • checks.getAllChecks

    List all of the checks created for a deployment.

  • checks.getCheck

    Return a detailed response for a single check.

  • checks.rerequestCheck

    Rerequest a selected check that has failed.

  • checks.updateCheck

    Update an existing check. This endpoint must be called with an OAuth2 or it will produce a 400 error.

  • deployments.cancelDeployment

    This endpoint allows you to cancel a deployment which is currently building, by supplying its id in the URL.

  • deployments.createDeployment

    Create a new deployment with all the required and intended data. If the deployment is not a git deployment, all files must be provided with the request, either referenced or inlined. Additionally, a deployment id can be specified to redeploy a previous deployment.

  • deployments.deleteDeployment

    This API allows you to delete a deployment, either by supplying its id in the URL or the url of the deployment as a query parameter. You can obtain the ID, for example, by listing all deployments.

  • deployments.getDeployment

    Retrieves information for a deployment either by supplying its ID (id property) or Hostname (url property). Additional details will be included when the authenticated user is an owner of the deployment.

  • deployments.getDeploymentEvents

    Get the build logs of a deployment by deployment ID and build ID. It can work as an infinite stream of logs or as a JSON endpoint depending on the input parameters.

  • deployments.getDeploymentFileContents

    Allows to retrieve the content of a file by supplying the file identifier and the deployment unique identifier. The response body will contain the raw content of the file.

  • deployments.getDeployments

    List deployments under the account corresponding to the API token. If a deployment hasn't finished uploading (is incomplete), the url property will have a value of null.

  • deployments.listDeploymentBuilds

    Retrieves the list of builds given their deployment's unique identifier.

  • deployments.listDeploymentFiles

    Allows to retrieve the file structure of a deployment by supplying the deployment unique identifier.

  • deployments.uploadFile

    Before you create a deployment you need to upload the required files for that deployment. To do it, you need to first upload each file to this endpoint. Once that's completed, you can create a new deployment with the uploaded files. The file content must be placed inside the body of the request. In the case of a successful response you'll receive a status code 200 with an empty body.

  • dns.createRecord

    Creates a DNS record for a domain.

  • dns.getRecords

    Retrieves a list of DNS records created for a domain name. By default it returns 20 records if no limit is provided. The rest can be retrieved using the pagination options.

  • dns.removeRecord

    Removes an existing DNS record from a domain name.

  • dns.updateRecord

    Updates an existing DNS record for a domain name.

  • domains.buyDomain

    Allows to purchase the specified domain.

  • domains.checkDomainPrice

    Check the price to purchase a domain and how long a single purchase period is.

  • domains.checkDomainStatus

    Check if a domain name is available for purchase.

  • domains.createOrTransferDomain

    This endpoint is used for registering a new domain name with Vercel for the authenticating user, and also for initiating a domain transfer request from an external Registrar to Vercel.

  • domains.deleteDomain

    Delete a previously registered domain name from Vercel. Deleting a domain will automatically remove any associated aliases.

  • domains.getDomain

    Get information for a single domain in an account or team.

  • domains.getDomainConfig

    Get a Domain's configuration.

  • domains.getDomains

    Retrieves a list of domains registered for the authenticating user. By default it returns the last 20 domains if no limit is provided.

  • edgeConfig.createEdgeConfig

    Creates an Edge Config.

  • edgeConfig.createEdgeConfigToken

    Adds a token to an existing Edge Config.

  • edgeConfig.deleteEdgeConfig

    Delete an Edge Config by id.

  • edgeConfig.deleteEdgeConfigTokens

    Deletes one or more tokens of an existing Edge Config.

  • edgeConfig.getEdgeConfig

    Returns an Edge Config.

  • edgeConfig.getEdgeConfigItem

    Returns a specific Edge Config Item.

  • edgeConfig.getEdgeConfigItems

    Returns all items of an Edge Config.

  • edgeConfig.getEdgeConfigs

    Returns all Edge Configs.

  • edgeConfig.getEdgeConfigToken

    Return meta data about an Edge Config token.

  • edgeConfig.getEdgeConfigTokens

    Returns all tokens of an Edge Config.

  • edgeConfig.patchtEdgeConfigItems

    Update multiple Edge Config Items in batch.

  • edgeConfig.updateEdgeConfig

    Updates an Edge Config.

  • integrations.deleteConfiguration

    Allows to remove the configuration with the id provided in the parameters. The configuration and all of its resources will be removed. This includes Webhooks, LogDrains and Project Env variables.

  • integrations.getConfiguration

    Allows to retrieve a the configuration with the provided id in case it exists. The authenticated user or team must be the owner of the config in order to access it.

  • integrations.getConfigurations

    Allows to retrieve all configurations for an authenticated integration. When the project view is used, configurations generated for the authorization flow will be filtered out of the results.

  • integrations.getV1IntegrationsSearchRepo

    Lists git repositories linked to a namespace id for a supported provider. A specific namespace id can be obtained via the git-namespaces endpoint. Supported providers are github, gitlab and bitbucket. If the provider or namespace is not provided, it will try to obtain it from the user that authenticated the request.

  • integrations.gitNamespaces

    Lists git namespaces for a supported provider. Supported providers are github, gitlab and bitbucket. If the provider is not provided, it will try to obtain it from the user that authenticated the request.

  • logDrains.createConfigurableLogDrain

    Creates a configurable log drain. This endpoint must be called with a team AccessToken (integration OAuth2 clients are not allowed)

  • logDrains.createLogDrain

    Creates an Integration log drain. This endpoint must be called with an OAuth2 client (integration), since log drains are tied to integrations. If it is called with a different token type it will produce a 400 error.

  • logDrains.deleteConfigurableLogDrain

    Deletes a Configurable Log Drain. This endpoint must be called with a team AccessToken (integration OAuth2 clients are not allowed). Only log drains owned by the authenticated team can be deleted.

  • logDrains.deleteIntegrationLogDrain

    Deletes the Integration log drain with the provided id. When using an OAuth2 Token, the log drain can be deleted only if the integration owns it.

  • logDrains.getConfigurableLogDrain

    Retrieves a Configurable Log Drain. This endpoint must be called with a team AccessToken (integration OAuth2 clients are not allowed). Only log drains owned by the authenticated team can be accessed.

  • logDrains.getConfigurableLogDrains

    Retrieves a list of Configurable Log Drains. This endpoint must be called with a team AccessToken (integration OAuth2 clients are not allowed). Only log drains owned by the authenticated team can be accessed.

  • logDrains.getIntegrationLogDrains

    Retrieves a list of all Integration log drains that are defined for the authorized account. When using an OAuth2 token, the list is limited to log drains created by the authenticated integration.

  • projects.addProjectDomain

    Add a domain to the project by passing its domain name and by specifying the project by either passing the project id or name in the URL. If the domain is not yet verified to be used on this project, the request will return verified = false, and the domain will need to be verified according to the verification challenge via POST /projects/:idOrName/domains/:domain/verify. If the domain already exists on the project, the request will fail with a 400 status code.

  • projects.createProject

    Allows to create a new project with the provided configuration. It only requires the project name but more configuration can be provided to override the defaults.

  • projects.createProjectEnv

    Create one ore more environment variables for a project by passing its key, value, type and target and by specifying the project by either passing the project id or name in the URL.

  • projects.deleteProject

    Delete a specific project by passing either the project id or name in the URL.

  • projects.editProjectEnv

    Edit a specific environment variable for a given project by passing the environment variable identifier and either passing the project id or name in the URL.

  • projects.filterProjectEnvs

    Retrieve the environment variables for a given project by passing either the project id or name in the URL.

  • projects.getProject

    Get the information for a specific project by passing either the project id or name in the URL.

  • projects.getProjectDomain

    Get project domain by project id/name and domain name.

  • projects.getProjectDomains

    Retrieve the domains associated with a given project by passing either the project id or name in the URL.

  • projects.getProjectEnv

    Retrieve the environment variable for a given project.

  • projects.getProjects

    Allows to retrieve the list of projects of the authenticated user. The list will be paginated and the provided query parameters allow filtering the returned projects.

  • projects.removeProjectDomain

    Remove a domain from a project by passing the domain name and by specifying the project by either passing the project id or name in the URL.

  • projects.removeProjectEnv

    Delete a specific environment variable for a given project by passing the environment variable identifier and either passing the project id or name in the URL.

  • projects.updateProject

    Update the fields of a project using either its name or id.

  • projects.updateProjectDomain

    Update a project domain's configuration, including the name, git branch and redirect of the domain.

  • projects.verifyProjectDomain

    Attempts to verify a project domain with verified = false by checking the correctness of the project domain's verification challenge.

  • secrets.createSecret

    Allows to create a new secret.

  • secrets.deleteSecret

    This deletes the user's secret defined in the URL.

  • secrets.getSecret

    Retrieves the information for a specific secret by passing either the secret id or name in the URL.

  • secrets.getSecrets

    Retrieves the active Vercel secrets for the authenticated user. By default it returns 20 secrets. The rest can be retrieved using the pagination options. The body will contain an entry for each secret.

  • secrets.renameSecret

    Enables to edit the name of a user's secret. The name has to be unique to that user's secrets.

  • teams.createTeam

    Create a new Team under your account. You need to send a POST request with the desired Team slug, and optionally the Team name.

  • teams.deleteTeam

    Delete a team under your account. You need to send a DELETE request with the desired team id. An optional array of reasons for deletion may also be sent.

  • teams.deleteTeamInviteCode

    Delete an active Team invite code.

  • teams.getTeam

    Get information for the Team specified by the teamId parameter.

  • teams.getTeamAccessRequest

    Check the status of a join request. It'll respond with a 404 if the request has been declined. If no userId path segment was provided, this endpoint will instead return the status of the authenticated user.

  • teams.getTeamMembers

    Get a paginated list of team members for the provided team.

  • teams.getTeams

    Get a paginated list of all the Teams the authenticated User is a member of.

  • teams.inviteUserToTeam

    Invite a user to join the team specified in the URL. The authenticated user needs to be an OWNER in order to successfully invoke this endpoint. The user can be specified with an email or an ID. If both email and ID are provided, ID will take priority.

  • teams.joinTeam

    Join a team with a provided invite code or team ID.

  • teams.patchTeam

    Update the information of a Team specified by the teamId parameter. The request body should contain the information that will be updated on the Team.

  • teams.removeTeamMember

    Remove a Team Member from the Team, or dismiss a user that requested access, or leave a team.

  • teams.requestAccessToTeam

    Request access to a team as a member. An owner has to approve the request. Only 10 users can request access to a team at the same time.

  • teams.updateTeamMember

    Update the membership of a Team Member on the Team specified by teamId, such as changing the role of the member, or confirming a request to join the Team for an unconfirmed member. The authenticated user must be an OWNER of the Team.

  • user.getAuthUser

    Retrieves information related to the currently authenticated User.

  • user.listUserEvents

    Retrieves a list of "events" generated by the User on Vercel. Events are generated when the User performs a particular action, such as logging in, creating a deployment, and joining a Team (just to name a few). When the teamId parameter is supplied, then the events that are returned will be in relation to the Team that was specified.

  • user.requestDelete

    Initiates the deletion process for the currently authenticated User, by sending a deletion confirmation email. The email contains a link that the user needs to visit in order to proceed with the deletion process.

  • webhooks.createWebhook

    Creates a webhook

  • webhooks.deleteWebhook

    Deletes a webhook

  • webhooks.getWebhook

    Get a webhook

  • webhooks.getWebhooks

    Get a list of webhooks

  • openapi.previewSpec

    Preview an OpenAPI document before adding it as a source

  • openapi.addSource

    Add an OpenAPI source and register its operations as tools